Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/20094/?format=api
{ "ob_id": 20094, "uuid": "b2670fb9d6e14733b303865c85c2065d", "title": "EUSTACE / E-OBS: Gridded European surface air temperature based on homogenised land station records since 1950", "abstract": "This dataset consists of an infilled analysis of European surface air temperature which has been based on homogenised meteorological land station records since 1950. The original homogenised station records are also available as a separate dataset. This dataset is a version of the ECA&D (European Climate Assessment & Dataset) E-OBS dataset, produced with funding from the EU Horizon2020 EUSTACE (EU Surface Temperature for All Corners of Earth) project and contract C3S_311a_Lot4 with the Copernicus Climate Change Service. \r\n\r\nThe data is available directly from the ECA&D website and is referenced here to form part of the EUSTACE collection of data. The EUSTACE version of the product is E-OBSv19.0eHOM and future versions of the gridded dataset using homogenised temperature data will be produced operationally from E-OBSv20.0e onward. \r\n\r\nData is available for non-commercial purposes under the ECA&D terms and conditions (see https://www.ecad.eu//documents/ECAD_datapolicy.pdf).\r\n\r\nThe EU EUSTACE project has received funding by the European Union's Horizon 2020 research and innovation programme under grant agreement no 640171 and contract C3S_311a_Lot4 with the Copernicus Climate Change Service.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2019-04-09T16:21:11", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/27403/?format=api", "dataPath": "https://www.ecad.eu//download/ensembles/download.php", "oldDataPath": [], "storageLocation": "external", "storageStatus": "online", "volume": 0, "numberOfFiles": 0, "fileFormat": "Data are in NetCDF-4 format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5265/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/929/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "This dataset is a version of the ECA&D (European Climate Assessment & Dataset) E-OBS dataset, produced with funding from the EU Horizon2020 EUSTACE (EU Surface Temperature for All Corners of Earth) project and contract C3S_311a_Lot4 with the Copernicus Climate Change Service.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19556/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/20098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204954/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76382/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114530/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114531/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76383/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204953/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76381/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114844/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114532/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114845/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/114846/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/27404/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2632/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://www.ecad.eu/documents/ECAD_datapolicy.pdf", "licenceClassifications": "" } ], "discoveryKeywords": [] }